HepMC3 event record library: ATTRIBUTE Class Reference

HepMC3 event record library

Public Member Functions
ATTRIBUTE Class Reference

## Detailed Description

Filter for the attributes.

Used to construct filters that can check if an attribute exists or to compare against other attribute.

Definition at line 28 of file FilterAttribute.h.

`#include <FilterAttribute.h>`

Inheritance diagram for ATTRIBUTE:
[legend]
Collaboration diagram for ATTRIBUTE:
[legend]

## Public Member Functions
| ATTRIBUTE (const std::string &name)
| Default constructor.
Filter & | operator== (std::shared_ptr< Attribute > &at)
| Compare if this attribute is equal to other attribute.
Filter & | operator!= (std::shared_ptr< Attribute > &at)
| Compare if this attribute is not equal to other attribute.
Filter & | operator== (const std::string &value)
| Compare if string version of this attribute is equal value.
Filter & | operator!= (const std::string &value)
| Compare if string version of this attribute is not equal value.
Filter & | operator! ()
| Negate logic of the result (eg. check if attribute does not exist).

## Constructor & Destructor Documentation

## ◆ ATTRIBUTE()

ATTRIBUTE | ( | const std::string & | name | ) |
| inline

Default constructor.

Provides the name of the attribute used in by the filter

Definition at line 36 of file FilterAttribute.h.

## Member Function Documentation

## ◆ operator!()

Filter & operator! | ( |  | ) |
| inline

Negate logic of the result (eg. check if attribute does not exist).

Definition at line 73 of file FilterAttribute.h.

## ◆ operator!=() [1/2]

Filter & operator!= | ( | const std::string & | value | ) |
| inline

Compare if string version of this attribute is not equal value.

Definition at line 65 of file FilterAttribute.h.

## ◆ operator!=() [2/2]

Filter & operator!= | ( | std::shared_ptr< Attribute > & | at | ) |
| inline

Compare if this attribute is not equal to other attribute.

Definition at line 50 of file FilterAttribute.h.

## ◆ operator==() [1/2]

Filter & operator== | ( | const std::string & | value | ) |
| inline

Compare if string version of this attribute is equal value.

Definition at line 58 of file FilterAttribute.h.

## ◆ operator==() [2/2]

Filter & operator== | ( | std::shared_ptr< Attribute > & | at | ) |
| inline

Compare if this attribute is equal to other attribute.

Definition at line 43 of file FilterAttribute.h.

The documentation for this class was generated from the following file:

- FilterAttribute.h